Bug 1286372 - [kernel] CPU microcode update seems to be missing for current development kernels 4.4.x
[kernel] CPU microcode update seems to be missing for current development ker...
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: dracut (Show other bugs)
rawhide
x86_64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-28 12:58 EST by Joachim Frieben
Modified: 2015-12-08 20:26 EST (History)
10 users (show)

See Also:
Fixed In Version: kernel-4.4.0-0.rc4.git0.1.fc24
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-11-30 12:05:06 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Joachim Frieben 2015-11-28 12:58:01 EST
Description of problem:
Current development kernels 4.4.x do not report any microcode update according to the output of dmesg.

Version-Release number of selected component (if applicable):
kernel-4.4.0-0.rc2.git2.1.fc24

How reproducible:
Always

Steps to Reproduce:
1. Boot system running the current Fedora development tree. 
2. Run dmesg command.

Actual results:
No sign of microcode update.

Expected results:
Successful microcode update is being reported. 

Additional info:
Feature works as expected in Fedora 23.
Comment 1 Josh Boyer 2015-11-30 08:15:55 EST
You need a fixed dracut for this.  The detection it used doesn't work for 4.4 kernels.
Comment 2 Harald Hoyer 2015-11-30 12:05:06 EST
dracut-044
Comment 3 Joachim Frieben 2015-12-04 11:21:38 EST
Current Fedora rawhide including dracut-044-6.git20151201.fc24 and kernel-4.4.0-0.rc3.git3.1.fc24 still does not show any (familiar) sign of a successful microcode update in the output of dmesg.
Comment 4 Harald Hoyer 2015-12-08 05:41:34 EST
What is the ouput of:

$ lsinitrd | head -15
Comment 5 Joachim Frieben 2015-12-08 10:28:35 EST
Image: /boot/initramfs-4.4.0-0.rc3.git4.1.fc24.x86_64.img: 19M
========================================================================
Version: dracut-044-6.git20151201.fc24

Arguments: -f

dracut modules:
bash
systemd
systemd-initrd
i18n
network
ifcfg
drm
plymouth
Comment 6 Harald Hoyer 2015-12-08 10:44:16 EST
Care to post the output of:

# dracut --debug --force /var/tmp/test.img
# rm -f /var/tmp/test.img
Comment 7 Joachim Frieben 2015-12-08 20:04:38 EST
I have to apologize, the correct reply to comment 4 is:

Image: /boot/initramfs-4.4.0-0.rc3.git4.1.fc24.x86_64.img: 21M
========================================================================
Early CPIO image
========================================================================
drwxr-xr-x   3 root     root            0 Dec  1 09:08 .
-rw-r--r--   1 root     root            2 Dec  1 09:08 early_cpio
drwxr-xr-x   3 root     root            0 Dec  1 09:08 kernel
drwxr-xr-x   3 root     root            0 Dec  1 09:08 kernel/x86
drwxr-xr-x   2 root     root            0 Dec  1 09:08 kernel/x86/microcode
-rw-r--r--   1 root     root        24576 Dec  1 09:08 kernel/x86/microcode/Genu
ineIntel.bin
========================================================================
Version: dracut-044-6.git20151201.fc24

Arguments: -f

Note You need to log in before you can comment on or make changes to this bug.